org.apache.solr.analytics.accumulator.facet

## Class RangeFacetAccumulator

- java.lang.Object
- - org.apache.lucene.search.SimpleCollector
  - - org.apache.solr.analytics.accumulator.ValueAccumulator
    - - org.apache.solr.analytics.accumulator.facet.QueryFacetAccumulator
      - - org.apache.solr.analytics.accumulator.facet.RangeFacetAccumulator

- All Implemented Interfaces:
    Collector, LeafCollector

      public class RangeFacetAccumulator
      extends QueryFacetAccumulator

  An Accumulator that manages a certain range of a given range facet.

- - ### Field Summary

    - ### Fields inherited from class org.apache.solr.analytics.accumulator.facet.QueryFacetAccumulator

      `facetName, facetValue, parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RangeFacetAccumulator(FacetValueAccumulator parent, String facetName, String facetValue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collect(int doc)` Tell the FacetingAccumulator to collect the doc with the given rangeFacet and range.
    `protected void` | `doSetNextReader(LeafReaderContext context)` Update the readers of the rangeFacet `StatsCollector`s in FacetingAccumulator

    - ### Methods inherited from class org.apache.solr.analytics.accumulator.facet.QueryFacetAccumulator

      `compute, export, needsScores`

    - ### Methods inherited from class org.apache.solr.analytics.accumulator.ValueAccumulator

      `postProcess`

    - ### Methods inherited from class org.apache.lucene.search.SimpleCollector

      `getLeafCollector, setScorer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RangeFacetAccumulator

          public RangeFacetAccumulator(FacetValueAccumulator parent,
                                       String facetName,
                                       String facetValue)

  - ### Method Detail

    - #### collect

          public void collect(int doc)
                       throws IOException

      Tell the FacetingAccumulator to collect the doc with the given rangeFacet and range.
      Specified by:
        `collect` in interface `LeafCollector`
      Overrides:
        `collect` in class `QueryFacetAccumulator`
      Throws:
        `IOException`

    - #### doSetNextReader

          protected void doSetNextReader(LeafReaderContext context)
                                  throws IOException

      Update the readers of the rangeFacet `StatsCollector`s in FacetingAccumulator
      Overrides:
        `doSetNextReader` in class `QueryFacetAccumulator`
      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.